diff a/src/hotspot/share/opto/graphKit.hpp b/src/hotspot/share/opto/graphKit.hpp
--- a/src/hotspot/share/opto/graphKit.hpp
+++ b/src/hotspot/share/opto/graphKit.hpp
@@ -401,10 +401,11 @@
                        bool speculative = false);
 
   // Check the null_seen bit.
   bool seems_never_null(Node* obj, ciProfileData* data, bool& speculating);
 
+  void guard_klass_is_initialized(Node* klass);
   void guard_klass_being_initialized(Node* klass);
   void guard_init_thread(Node* klass);
 
   void clinit_barrier(ciInstanceKlass* ik, ciMethod* context);
 
@@ -631,10 +632,13 @@
                               Node* ctrl = nullptr);
 
   // Return a load of array element at idx.
   Node* load_array_element(Node* ary, Node* idx, const TypeAryPtr* arytype, bool set_ctrl);
 
+  //----------- runtime upcalls support ----------------
+  void install_on_method_entry_runtime_upcalls(ciMethod* method);
+
   //---------------- Dtrace support --------------------
   void make_dtrace_method_entry_exit(ciMethod* method, bool is_entry);
   void make_dtrace_method_entry(ciMethod* method) {
     make_dtrace_method_entry_exit(method, true);
   }
